﻿using System;
using ConsolePresentation;

namespace BasicAdoNet
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            ITerritoriesRepository repository = new TerritoriesRepository();
            ITerritoriesService service = new TerritoriesService(repository);
            var view = new TerritoriesView(service);
            //new line of code
            new MainView(view).Show("Basic ADO.Net Examples");

            Console.Read();
        }
    }
}