﻿using System.Collections.Generic;

namespace EFModelFirst
{
    public interface ITerritoriesRepository
    {
        IEnumerable<Territory> GetTerritoriesByRegionId(int id);

        IEnumerable<Territory> GetTerritoriesFilterByDescription(string description);

        IEnumerable<Region> GetAllRegions();
    }
}