﻿namespace DemoApp.ViewModel
{
    public interface IMainWindowViewModel : IWorkspaceViewModel
    {
        void AddCommand<T>(T command)
            where T : CommandViewModel;

        void AddWorkspace<T>(T workspace)
            where T : WorkspaceViewModel;

        void AddWorkspace<T>()
            where T : WorkspaceViewModel;
    }
}