﻿using System.Collections.Generic;

namespace WpfApplication6.Model
{
    public class ProductsRepository : IProductsRepository
    {
        private readonly INorthwindDbContext _dbContext;

        public ProductsRepository(INorthwindDbContext dbContext)
        {
            _dbContext = dbContext;
        }

        public IEnumerable<ProductItem> GetProducts()
        {
            return _dbContext.Products;
        }
    }
}