﻿using System.Collections.Generic;

namespace WpfApplication6.ViewModel
{
    public class ItemsListViewModel<T> : ItemViewModel<T>
        where T : ViewModel
    {
        private List<T> _itemsList;

        public List<T> ItemsList
        {
            get { return _itemsList; }
            set
            {
                _itemsList = value;
                RaisePropertyChanged("ItemsList");
            }
        }
    }
}