﻿namespace WpfApplication6.ViewModel
{
    [ShellCommand]
    public class OneCommandViewModel : CommandViewModel
    {
        private readonly IShell _shell;

        public OneCommandViewModel(IShell shell)
        {
            _shell = shell;
            DisplayText = "cmd1";
        }

        protected override void Execute()
        {
            _shell.MainPanel = new ViewModel {DisplayText = "one"};
        }

        protected override bool CanExecute()
        {
            return true;
        }
    }
}