﻿using System;
using ConsolePresentation;

namespace EFCodeFirst
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            ITerritoriesRepository repository = new TerritoriesRepository();
            ITerritoriesService service = new TerritoriesService(repository);
            var view = new TerritoriesView(service);

            new MainView(view).Show("Basic EF Code First Examples");

            Console.Read();
        }
    }
}