﻿using System;
using ConsolePresentation;

namespace EFDatabaseFirst
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            ITerritoriesRepository repository = new TerritoriesRepository();
            ITerritoriesService service = new TerritoriesService(repository);
            var view = new TerritoriesView(service);
            new MainView(view).Show("Entity Framework Database First Examples");

            Console.Read();
        }
    }
}