﻿using System.IO;
using System.Reflection;
using DemoApp.DataAccess;

namespace UnitTests
{
    public class TestableCustomerRepository : CustomerRepository
    {
        const string CUSTOMER_DATA_FILE = "UnitTests.customers.xml";

        public TestableCustomerRepository()
            : base(CUSTOMER_DATA_FILE)
        {
            
        }

        protected override Stream GetResourceStream(string resourceFile)
        {
            return Assembly.GetExecutingAssembly().GetManifestResourceStream(resourceFile);            
        }
    }
}