﻿using System.Collections.Generic;

namespace DemoApp.DataAccess
{
    public interface ICustomerDb
    {
        /// <summary>
        ///     Returns a shallow-copied list of all customers in the repository.
        /// </summary>
        IEnumerable<CustomerDao> GetCustomers();

        bool AddCustomer(double totalSales, string firstName, string lastName, bool isCompany, string email);
    }
}