﻿using MvvmFoundation.Wpf;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Input;

namespace PublicTalks
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private List<string> _talkNames;
        public event PropertyChangedEventHandler PropertyChanged;

        public MainWindowViewModel()
        {
            DisplayCommand = new RelayCommand(DisplayCommandExecute);
        }

        private void DisplayCommandExecute()
        {
            TalkNames = new List<string> { "Telos einai konta", "I vasileia" };
        }

        public ICommand DisplayCommand { get; set; }
        public List<string> TalkNames 
        {
            get
            {
                return _talkNames;
            }
            set
            {
                if (value != _talkNames)
                {
                    _talkNames = value;
                    if (PropertyChanged != null)
                    {
                        PropertyChanged(this, new PropertyChangedEventArgs("TalkNames"));
                    }
                }
            }
        }


    }
}
