﻿using System.Collections.ObjectModel;

namespace WpfApplication6.ViewModel
{
    public class MainWindowViewModel : ViewModel, IShell //, IShellCommands
    {
        private ViewModel _mainPanel;

        public MainWindowViewModel()
        {
            DisplayText = "WpfApplication6";

            Commands = new ObservableCollection<CommandViewModel>();
        }

        public ObservableCollection<CommandViewModel> Commands { get; set; }

        public ViewModel MainPanel
        {
            get { return _mainPanel; }
            set
            {
                _mainPanel = value;
                RaisePropertyChanged("MainPanel");
            }
        }
    }
}