﻿using WpfApplication6.Model;

namespace WpfApplication6.ViewModel
{
    public class ProductViewModel : ItemViewModel<ProductItem>
    {
        public ProductViewModel(ProductItem product)
        {
            DisplayText = string.Format("{0}: {1}", product.Id, product.Name);
            Item = new ProductItem {Id = product.Id, Name = product.Name, CategoryName = product.CategoryName};
        }
    }
}